发布时间 :2006-04-03 10:04:00
修订时间 :2013-07-03 10:59:57

[原文]Cross-site scripting (XSS) vulnerability in inscription.php in Annuaire (Directory) 1.0 allows remote attackers to inject arbitrary web script or HTML via the Comment Field (COMMENTAIRE parameter).

[CNNVD]Annuaire inscription.php 跨站脚本攻击漏洞(CNNVD-200604-017)


- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  XF  annuaire-inscription-xss(25669)
(UNKNOWN)  BID  17393

- 漏洞信息

Annuaire inscription.php 跨站脚本攻击漏洞
中危 跨站脚本
2006-04-03 00:00:00 2006-04-04 00:00:00

- 公告与补丁


- 漏洞信息

Annuaire (Directory) inscription.php Comment Field XSS
Remote / Network Access Input Manipulation
Loss of Integrity Discontinued Product
Exploit Public RBS Confirmed

- 漏洞描述

Annuaire (Directory) contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the Comment Field (COMMENTAIRE variable) upon submission to the inscription.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-03-28 2006-03-22
2006-03-28 Unknow

- 解决方案

The vendor has discontinued this product and therefore has no patch or upgrade that mitigates this problem. It is recommended that an alternate software package be used in its place.

- 相关参考

- 漏洞作者

- 漏洞信息

Annuaire (Directory) HTML Injection Vulnerability
Input Validation Error 17393
Yes No
2006-04-06 12:00:00 2006-04-06 07:38:00
Brian is credited with the discovery of this vulnerability.

- 受影响的程序版本

Annuaire Annuaire 1.0

- 漏洞讨论

Annuaire (Directory) is prone to an HTML-injection vulnerability. This issue is due to a lack of proper sanitization of user-supplied input before using it in dynamically generated content.

Attacker-supplied HTML and script code would be executed in the context of the affected website, potentially allowing an attacker to steal cookie-based authentication credentials. An attacker could also exploit this issue to control how the site is rendered to the user; other attacks are also possible.

- 漏洞利用

This issue can be exploited through a web client.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at:

- 相关参考